import EuiBasePage from '../eui-base.po.js'
import CoUxMessageBox from '../../../../components/10x/ux/ux-message-box.js'

export default class UxMessageBoxPage extends EuiBasePage {
  constructor() {
      super();
  }
  messageBoxByIndex(index) {
    return new CoUxMessageBox(this.mainContent).byIndex(index);
  }
  messageBoxById(id) {
    return new CoUxMessageBox(this.mainContent).byId(id);
  }
  messageBoxFromSectionById(id) {
    return new CoUxMessageBox(this.sectionById(id));
  }

}

